List Media Files
List uploaded media files with advanced filtering and pagination
- file_category: Filter by category (image, document, video, audio)
- related_entity_type: Filter by related entity type
- related_entity_id: Filter by related entity ID
- storage_provider: Filter by storage provider (digitalocean_spaces, local)
- optimized_only: Show only files that have been optimized
| Method | Path |
|---|---|
GET | /api/v1/media/ |
Primary host: https://valara.cloud (legacy alias: https://dash.jacoballenmedia.com).
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
file_category | query | no | string | Filter by file category |
related_entity_type | query | no | string | Filter by related entity type |
related_entity_id | query | no | string | Filter by related entity ID |
storage_provider | query | no | string | Filter by storage provider |
optimized_only | query | no | boolean | Show only optimized files |
page | query | no | integer | |
per_page | query | no | integer | |
sort_by | query | no | string | |
sort_order | query | no | string |
Request body
(no request body)
Response
null
Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error (see error codes) |
Examples
curl
curl -X GET "https://valara.cloud/api/v1/media/" \
-H "Authorization: Bearer $VALARA_API_KEY" \
-H "Content-Type: application/json"
Python
import os
import uuid
import httpx
res = httpx.request(
"GET",
"https://valara.cloud/api/v1/media/",
headers={
"Authorization": f"Bearer {os.environ['VALARA_API_KEY']}",
"Content-Type": "application/json",
},
)
res.raise_for_status()
print(res.json())